Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
KS.PhanThanhTu

VnPlot 2.0-Tự động in bản vẽ cho AutoCad 2004-2010(Ko cần VBA)

Các bài được khuyến nghị

tinya1225    34

Chương trình bác viết in rất ổn. Bổ xung thêm plot nhiều layout nữa thì còn j bằng. mong bác cố gắng sớm hoàn thiện cho anh em đc nhờ :rolleyes:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cocobubu    1

Phần tỷ lệ tự động em muốn chọn 1mm=1 đơn vị trong bản vẽ thì làm thế nào?trong khi em đã chuyển đơn vị bản vẽ về mm rồi nhưng khi in nó vẫn để tỷ lệ theo đơn vị inches.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TimMusT    0

bác KS.PhanThanhTu ơi. e cũng đang tìm hiểu về cách in hàng loạt. e giải nén file của bác ko có lisp. bác cho e xin cái lisp Chương trình in tự động Full, e tìm trên diễn đàn ko có. gửi vào mail : hanik3n4z@gmail.com zúp em nhé. Thanks bác nhiều ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ramborock    2

Chương trình hay, tuy nhiên ở cty của mình, thì mình chỉ viết 2 dòng lisp là đủ rùi, 1 lệnh cho layout, 1 cho model. Còn cái này phải set nhiều thứ quá

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chương trình hay, tuy nhiên ở cty của mình, thì mình chỉ viết 2 dòng lisp là đủ rùi, 1 lệnh cho layout, 1 cho model. Còn cái này phải set nhiều thứ quá

hay vậy bạn nên share lên cho ae học hỏi chứ, đây là diễn đàn để ae cùng học thêm nhiều kiến thức bổ ích đây????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ramborock    2

Các bạn tham khảo nha

(defun C:1 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "No" "Yes" "No" "No" "Yes" "Yes")
)
;model
(defun C:0 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "As displayed" "No" "Yes" "Yes")
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ramborock    2

sorry

(defun C:1 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "No" "Yes" "No" "No" "Yes" "Yes")
)
;model
(defun C:0 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "As displayed" "No" "Yes" "Yes")
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sorry

(defun C:1 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "No" "Yes" "No" "No" "Yes" "Yes")
)
;model
(defun C:0 (/ )
(command "-plot" "Yes" "" "canon LBP3500" "A3" "Millimeters" "Landscape" "No" "Extents" "Fit" "Center" "Yes" "elec A3.ctb" "Yes" "As displayed" "No" "Yes" "Yes")
) min

Cái này làm sao chọn khung in hàng loạt, mình mang về sữa lại đúng máy in của mình in trên model chỉ in được đúng 1 bản nhưng khung in là toàn màn hình

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ramborock    2

Lệnh "1" dùng nhiều hơn, in bên layout, còn lệnh "0" mình chỉ xài trong trường hợp model chỉ có 1 hình cần in, muốn in bao nhiêu tờ thì nhấn lệnh bấy nhiêu, còn in hàng loạt nhiều file thì cty mình ít làm vì phải chắc các bản vẽ không bị lỗi, luôn phải kiểm tra lại trước khi in. Kiến thức lisp hạn hẹp, chỉ viết được đến đó thui bạn và chỉ dùng cho cad 2007 còn các phiên bản khác thì mình không chắc.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
congcd4    0

Có chức năng Published của cad rồi cần gì p hải Lisp với VBA cho mệt, kết hợp với sheetset nữa thì quá ổn, quá trình in ấn tự động, báo lỗi khi phát sinh trong khi in!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vuducdai    0

Chuẩn. Mình cũng đã thử Publish khi in rồi, rất hay. Tuy nhiên có hạn chế là mỗi layout chỉ có một khung bản vẽ để in thôi, Bạn nào có cách khắc phục không. Nếu trong 1 layout mình muốn in 2 bản vẽ thì làm thế nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ths    2

K hiểu sao. Dùng phần mềm này trên cad2007, in bản vẽ ra thì thứ tự bản vẽ cứ lộn tùng phèo :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×